summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDenis Dupeyron <calchan@gentoo.org>2016-08-11 17:35:18 -0600
committerDenis Dupeyron <calchan@gentoo.org>2016-08-11 17:35:18 -0600
commitaad781f07d3e3c2e803eb67fc0150beb6432fe7c (patch)
tree4226dc8b96bf0a1b015f3fec063ac101f2c6c81a /sci-electronics/geda
parentapp-office/homebank: bump to 5.0.9, bug #590580 (diff)
downloadgentoo-aad781f07d3e3c2e803eb67fc0150beb6432fe7c.tar.gz
gentoo-aad781f07d3e3c2e803eb67fc0150beb6432fe7c.tar.bz2
gentoo-aad781f07d3e3c2e803eb67fc0150beb6432fe7c.zip
sci-electronics/geda: bump to 1.9.2, fix bug #590812
Package-Manager: portage-2.3.0
Diffstat (limited to 'sci-electronics/geda')
-rw-r--r--sci-electronics/geda/Manifest1
-rw-r--r--sci-electronics/geda/geda-1.9.2.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/sci-electronics/geda/Manifest b/sci-electronics/geda/Manifest
index ac941c81c41..509e89dc17b 100644
--- a/sci-electronics/geda/Manifest
+++ b/sci-electronics/geda/Manifest
@@ -1,3 +1,4 @@
DIST geda-gaf-1.8.1.tar.gz 11197244 SHA256 026888ce21cb83a3543a7554de0ddc610cc8dc6ce2341df17c5b3305d6dcbb10 SHA512 16f88af81d514c3504625765c64ad1d2a45d3da6a4c75f68db30f51776ff56d907ce97fb69e39cc6347ee9bfa4b591a62240fec6cfc73c0f54b61285e118b35b WHIRLPOOL da6743d97428deb81dd80dad9ca2f8476643f21bb34386681e54edd1dccb241f5d016d8b3d1640a80aaab1233a1cc23f835fc340955b1524d2085cc5b50abc71
DIST geda-gaf-1.8.2.tar.gz 11282353 SHA256 bbf4773aef1b5a51a8d6f4c3fa288c047340cc62dd6e14d7928fcc6e4051b721 SHA512 3a6fad455c3fd2b62e9788ff04ca33242f2e4701ec24089d8c4304ad5ca44af4901fc1c396b3f840e14a0be0729ff08561a82c6911e1d23ac4b8636534b4e764 WHIRLPOOL e4e6db1b7f6d2f37d99027f9a55797f7ac5a304bb4be474d6d57091121672a86e8dfa5131e830f9bc6335f57cb3864716ef17793b550b0df064e9d2c2b158038
DIST geda-gaf-1.9.1.tar.gz 11566302 SHA256 563c4ae8ba72824e873094d9133425b8f142f7e5b25cd6da33f69b2d99c980a3 SHA512 1c10662162365f902e61ef0ff225aeff8620c02f9507d33d5656c4aa240e7371fab5576bd5d68139390ce583548f34304f75893e1b8ab8fbacee25ddbdb93719 WHIRLPOOL 1594b98889dae9a6a61a9e76a7a4561c4f211199646b4064d361c0cfa56fc9a24ff834d73bbf10c6c44164f05c1b8a70007023958398fae4c856c6a60a41bc2a
+DIST geda-gaf-1.9.2.tar.gz 10612225 SHA256 3f3ba90a0f1db1e71caaadcabdb52e375864a8e04e3d6330293b84ef6e21b392 SHA512 5e26ea2cffffe50bd4f0bdb4594af9cc4510386d29c715c2b4ea99c6522838a08cc2045bf65e8b1da01ab33a266fc9f03da42e28b8cc4d5c030001777ab077e3 WHIRLPOOL 314403d63b722d0ead4f223cb8f36131b6a46f4be6946848a6d0b6e18ed4cfa47b1840144dbf0d49df5e0151749407a419eb91a85d11f5fc6190562da9cdfb5c
diff --git a/sci-electronics/geda/geda-1.9.2.ebuild b/sci-electronics/geda/geda-1.9.2.ebuild
new file mode 100644
index 00000000000..7ae8aab01fd
--- /dev/null
+++ b/sci-electronics/geda/geda-1.9.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils fdo-mime gnome2-utils versionator
+
+MY_PN=${PN}-gaf
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="GPL Electronic Design Automation (gEDA):gaf core package"
+HOMEPAGE="http://www.gpleda.org/"
+SRC_URI="http://ftp.geda-project.org/${MY_PN}/unstable/v$(get_version_component_range 1-2)/${PV}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples nls stroke threads"
+
+CDEPEND="
+ dev-libs/glib:2
+ x11-libs/gtk+:2
+ x11-libs/pango
+ >=x11-libs/cairo-1.2.0
+ x11-libs/gdk-pixbuf
+ dev-scheme/guile
+ nls? ( virtual/libintl )
+ stroke? ( >=dev-libs/libstroke-0.5.1 )"
+
+DEPEND="${CDEPEND}
+ sys-apps/groff
+ dev-util/desktop-file-utils
+ x11-misc/shared-mime-info
+ virtual/pkgconfig
+ nls? ( >=sys-devel/gettext-0.16 )"
+
+RDEPEND="${CDEPEND}
+ sci-electronics/electronics-menu"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS="AUTHORS NEWS README"
+
+src_prepare() {
+ append-libs -lgio-2.0
+ if ! use doc ; then
+ sed -i -e '/^SUBDIRS = /s/docs//' Makefile.in || die
+ fi
+ if ! use examples ; then
+ sed -i -e 's/\texamples$//' Makefile.in || die
+ fi
+}
+
+src_configure() {
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ $(use_enable threads threads posix) \
+ $(use_with stroke libstroke) \
+ $(use_enable nls) \
+ $(use_enable debug assert) \
+ --disable-doxygen \
+ --disable-rpath \
+ --disable-update-xdg-database
+}
+
+src_test() {
+ emake -j1 check
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}